-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "DS_LayerRender"

-- **************************************************
-- General information about this script
-- **************************************************

DS_LayerRender = {}

function DS_LayerRender:Name()
	return "Render Layers"
end

function DS_LayerRender:Version()
	return "0.1"
end

function DS_LayerRender:Description()
	return "Render each layer separately"
end

function DS_LayerRender:Creator()
	return "dauid.com"
end

function DS_LayerRender:UILabel()
	return("Render Layers")
end

-- **************************************************
-- The guts of this script
-- **************************************************


function DS_LayerRender:Run(moho)
thePath=moho.document:Path()
startFrame = moho.document:StartFrame()
endFrame = moho.document:EndFrame()
for i = startFrame, endFrame do
moho:SetCurFrame(i)
moho:FileRender(i .. "TestRender.png")
end
--[[
if(thePath ==nil) then
	alert("Could not find path to current file. Have you saved?")
	return
	
end
local numlayers = moho.document:CountLayers() --Get number of layers
originalName = moho.document:Name()
moho:FileSave()
		
		for top = 0, numlayers - 1 do
		
			for i = 0, numlayers - 1 do
			local currLayer = moho.document:Layer(i)
				if (i == top) then
					currLayer:SetEditOnly(false)
				else
					currLayer:SetEditOnly(true)
				end
			end
		moho:FileSaveAs(string.sub(originalName, 0, -6) .. "_".. top .. "_" .. moho.document:Layer(top):Name() .. ".anme")
		end
		
	moho:FileOpen(thePath)
	
		
	LM.GUI.Alert(LM.GUI.ALERT_INFO, "Saved " .. numlayers .. " files.", nil, nil, "OK", nil, nil)
]]
end
